---
# tasks file for vcenter
    - block:
        - set_fact:
            mount_point: "/mnt/{{ 99999999 | random | to_uuid }}"
          
        - name: Creating a Directory to mount the iso file
          file:
            path: "{{ mount_point }}"
            state: directory
            mode: 0777
          become: yes

        - name: Mount vCSA6.7 U2 iso to /mnt/iso directory
          mount:
            path: "{{ mount_point }}"
            src: "{{ iso_path }}"
            fstype: iso9660
            opts: ro,noauto
            state: mounted
          become: yes

        - name: Copying vcsa config to working directory
          template:
            src: "{{ role_path }}/templates/vcsa.json.j2"
            dest: /tmp/vcsa.json
          become: yes

        - name: Test Deployment of VCSA
          shell: | 
              {{ mount_point }}/vcsa-cli-installer/lin64/vcsa-deploy install \
              --no-ssl-certificate-verification \
              --accept-eula \
              --acknowledge-ceip \
              --precheck-only \
              --log-dir /tmp/vcsa.log \
              /tmp/vcsa.json
          args:
            chdir: "{{ mount_point }}/vcsa-cli-installer/lin64/"
          register: vcsa_ret
          failed_when: vcsa_ret.rc != 0
          become: yes

        - name: Deploy VCSA
          shell: |
              {{ mount_point }}/vcsa-cli-installer/lin64/vcsa-deploy install \
              --no-ssl-certificate-verification \
              --accept-eula \
              --acknowledge-ceip \
              --log-dir /tmp/vcsa.log \
              /tmp/vcsa.json
          args:
            chdir: "{{ mount_point }}/vcsa-cli-installer/lin64/"
          register: vcsa_ret
          failed_when: vcsa_ret.rc != 0
          become: yes
      always:
        - name: Unmount vCSA6.7
          mount:
            path: "{{ mount_point }}"
            state: unmounted
          become: yes
        - name: Delete Mount directory
          file:
            path: "{{ mount_point }}"
            state: absent
          become: yes
        - name: Delete Mount vcsa.json
          file:
            path: "/tmp/vcsa.json"
            state: absent
          become: yes
      when: iso_path is defined
